﻿body {
    font-family: sans-serif;
}

* {
    box-sizing: border-box;
}

td, th {
    padding: 0px;
}

/* LANDING BACKGROUND */

div.landingBlock {
    background-color: rgb(63, 63, 63);
}

img.landingBackground1 {
    background-color: rgb(63, 63, 63);
    width: 100%;
    height: 37%;
    position: absolute;
    object-fit: contain;
    object-position: 80% 0%;
}

img.landingBackground2 {
    background-color: rgb(63, 63, 63);
    top: 41%;
    width: 100%;
    height: 59%;
    position: absolute;
    object-fit: contain;
    object-position: right bottom;
}

/* BANNER */

.bannerBlock {
    background-color: rgb(83, 83, 83);
}

.bannerOffline {
    background-color: rgb(122, 159, 11);
}

td.bannerLeft {
    padding-left: 10px;
    line-height: 1;
}

td.bannerRight {
    padding-left: 10px;
    padding-right: 10px;
    text-align: right;
    line-height: 1;
}

label.bannerText {
    font-size: 16px;
    color: white;
}

span.bannerSubText {
    font-size: 12px;
    color: white;
}

/* POPUPS */

.popupLayer {
    background-color: rgba(255, 255, 255, 0.5);
    z-index: 10;
}

/* LOADING */

div.loadingPopupLayer {
    /*    background: radial-gradient(1000px 700px, white 0%, white 20%, rgba(255, 255, 255, 0.5) 100%);*/
    background: radial-gradient(1000px 700px, white 0%, white 20%, rgba(255, 255, 255, 0.75) 25%, rgba(255, 255, 255, 0.75) 100%);
    z-index: 10;
}

td.loadingMessage {
    color: rgb(103, 135, 165);
    background-color: rgb(227, 247, 250);
    border-radius: 10px;
    padding: 10px;
    white-space: nowrap;
}

/* MENU */

.menuBlock {
    background-color: rgb(175, 225, 239);
}

/* PAGE TITLE */

div.pageTitleBlock {
    background-color: rgb(215, 240, 247);
}

label.pageTitleText {
    /*    white-space: nowrap;*/
    color: rgb(5, 23, 29);
    font-size: 14px;
    position: absolute;
}

input.pageTitleTextFilter {
    font-size: 12px;
    padding: 3px;
    width: 100px;
    border: none;
    background-color: rgb(234, 222, 244);
    /*    text-align: right;*/
}

/* POPUP TITLE */

.popupTitleBlock {
    background-color: rgb(103, 135, 165);
}

.popupTitleText {
    color: white;
    font-size: 14px;
    position: absolute;
}

input.popupTitleTextFilter {
    font-size: 12px;
    padding: 3px;
    width: 100px;
    border: none;
    background-color: rgb(234, 222, 244);
    /*    text-align: right;*/
}

.popupContainer {
    border: 1px solid rgb(103, 135, 165);
    background-color: white;
}

.pageBlock {
    background-color: white;
}

div.editPageBlock {
    background-color: gainsboro;
}

table.editPageBlock {
    border: 8px solid gainsboro;
    background-color: white;
}

.filtersBlock {
    background-color: rgb(234, 222, 244);
}

/* SELECTOR (NEW) */

.selectorBlock {
    position: absolute;
    cursor: pointer;
}

.selectorContent {
    position: relative;
    font-size: 13px;
    color: white;
    text-align: center;
}

/* SELECTOR */

.selectorBlock_value {
    background-color: rgb(103, 135, 165);
}

.selectorBlock_currentValue {
    background-color: rgb(147, 147, 147);
}

.selectorBlock_action, .selectorBlock_actionOffline {
    background-color: rgb(225, 86, 11);
    font-weight: bold;
    border-radius: 6px;
}

.selectorBlock_action {
    background-color: rgb(225, 86, 11);
}

.selectorBlock_actionOffline, .selectorBlock_valueOffline {
    background-color: rgb(122, 159, 11);
}

.selectorBlock_valueOfflineWarning {
    background-color: rgb(122, 50, 11);
}

.selectorBlock_filterAction {
    background-color: rgb(142, 72, 193);
    font-weight: bold;
    border-radius: 6px;
}

.selectorBlock_systemTagNodeParent {
    background-color: rgb(83, 83, 83);
}

.selectorBlock_systemTagNodeActive {
    background-color: rgb(100, 100, 100);
    cursor: default;
}

.selectorBlock_systemTagNodeValid {
    background-color: rgb(245, 110, 35);
}

.selectorBlock_systemTagNodeChild {
    background-color: rgb(131, 131, 131);
}

.selectorBlock_rbiTag {
    background-color: rgb(100, 100, 100);
    cursor: default;
}

.multiSelectorContent {
    text-align: left;
    padding-left: 28px;
}

.multiSelectorValueSelected, .multiSelectorValueNotSelected {
    position: absolute;
    left: 10px;
    top: 50%;
    -ms-transform: translate(0, -50%);
    transform: translate(0, -50%);
    width: 18px;
    height: 18px;
    border: 2px solid white;
}

.multiSelectorValueSelected {
    background-color: rgb(225, 86, 11);
}

.multiSelectorValueNotSelected {
    background-color: white;
}

div.taskCategoryBlock {
    position: absolute;
    color: white;
    left: 4px;
    top: 4px;
    width: 18px;
    height: 18px;
    font-size: 13px;
    text-align: center;
    padding-top: 2px;
    font-weight: bold;
}

div.categorizedTaskTitle {
    font-weight: bold;
    padding-left: 16px;
    padding-right: 16px;
}

/* EDITOR */

div.editorWarningBlock {
    background-color: red;
    overflow: hidden;
}

div.editorWarningContent {
    position: absolute;
    left: 4px;
    top: 50%;
    -ms-transform: translate(0, -50%);
    transform: translate(0, -50%);
    color: white;
    font-size: 12px;
    font-weight: bold;
    white-space: nowrap;
}

.editorSection, .editorPageBreak {
    padding: 4px;
    color: white;
    font-size: 14px;
    font-weight: bold;
}

.editorSection {
    background-color: rgb(100, 100, 100);
}

div.editorSeparator {
    font-size: 0px;
    width: 100%;
    height: 1px;
    background-color: gainsboro;
}

.editorPageBreak {
    background-color: black;
}

label.editor {
    font-size: 12px;
    /*    white-space: nowrap;
*/
}

.mandatory-label {
    color: red;
}

/* DOC FIELDS */

label.docFieldNumber {
    font-size: 12px;
    font-weight: bold;
    white-space: nowrap;
}

label.docFieldName {
    font-size: 12px;
}

label.readOnlyTextDocFieldName {
    font-size: 12px;
    font-weight: bold;
}

label.readOnlyTextDocFieldValue {
    font-size: 12px;
}

img.readOnlyImageDocFieldThumbnail {
    border: 1px dotted black;
    background-color: white;
    object-fit: contain;
    cursor: pointer;
}

a.gpsPositionDocFieldValue {
    font-size: 12px;
}

label.message {
    font-size: 12px;
    word-break: break-word;
}

/*input[type=text].editor, input[type=password].editor, textarea.editor {
    font-size: 12px;
    border: 1px solid rgb(103, 135, 165);
    background-color: white;
    padding: 3px;
}*/

input.editor, textarea.editor, input.editorRegister, input.editorRegisterReadOnly {
    font-size: 12px;
    border: 1px solid rgb(103, 135, 165);
    padding: 3px;
}

input.editor, textarea.editor, input.editorRegister {
    background-color: white;
}

    input.editor:read-only, textarea.editor:read-only, input.editorRegisterReadOnly {
        background-color: lightgray;
    }

input.editorRegister {
    cursor: pointer;
}

textarea.editor {
    font-family: sans-serif;
    resize: none;
}

input.editorCheckbox {
    font-size: 12px;
}

label.editorCheckbox {
    font-size: 12px;
    white-space: nowrap;
    padding-left: 2px;
    padding-right: 2px;
}

button {
    cursor: pointer;
    white-space: nowrap;
    border-width: 0px;
    border-radius: 4px;
    color: white;
    font-size: 12px;
}

    button:disabled, button[disabled], button:disabled:hover, button:hover[disabled] {
        cursor: default;
    }

    button.fieldRadioValue, button.fieldRadioActiveValue {
        border-radius: 0px;
        padding: 4px 10px 4px 10px;
        min-width: 30px;
    }

    button.fieldRadioValue {
        color: royalblue;
        background-color: gainsboro;
    }

        button.fieldRadioValue:disabled, button.fieldRadioValue[disabled], button.fieldRadioValue:disabled:hover, button.fieldRadioValue:hover[disabled] {
            color: lightsteelblue;
        }

    button.fieldRadioActiveValue {
        background-color: royalblue;
    }

        button.fieldRadioActiveValue:disabled, button.fieldRadioActiveValue[disabled], button.fieldRadioActiveValue:disabled:hover, button.fieldRadioActiveValue:hover[disabled] {
            background-color: lightsteelblue;
        }

    button.fieldRadioIntegratedButton {
        background-color: rgb(103, 135, 165);
        padding: 4px 8px 4px 8px;
        min-width: 20px;
    }

    button.editor {
        background-color: rgb(103, 135, 165);
        padding: 4px 8px 4px 8px;
        min-width: 20px;
    }

        button.editor:disabled, button.editor[disabled], button.editor:disabled:hover, button.editor:hover[disabled] {
            color: lightgray;
            background-color: gray;
        }

        button.editor:hover {
            color: rgb(194, 232, 242);
        }

    button.menu, button.menuActive, button.menuOfflineWarning, button.menuOffline {
        font-size: 14px;
        padding: 4px 8px 4px 8px;
        /*        margin-left: 8px;*/
        position: absolute;
    }

    button.menu {
        background-color: rgb(103, 135, 165);
    }

    button.menuActive {
        color: black;
        background-color: rgb(215, 240, 247);
    }

        button.menuActive:hover {
            color: rgb(83, 83, 83);
        }

    button.menuOffline {
        background-color: rgb(122, 159, 11);
    }

    button.menuOfflineWarning {
        background-color: rgb(122, 50, 11);
        /*border: 1px solid red;*/
    }

        button.menu:disabled, button.menu[disabled], button.menu:disabled:hover, button.menu:hover[disabled],
        button.menuActive:disabled, button.menuActive[disabled], button.menuActive:disabled:hover, button.menuActive:hover[disabled],
        button.menuOfflineWarning:disabled, button.menuOfflineWarning[disabled], button.menuOfflineWarning:disabled:hover, button.menuOfflineWarning:hover[disabled],
        button.menuOffline:disabled, button.menuOffline[disabled], button.menuOffline:disabled:hover, button.menuOffline:hover[disabled] {
            color: lightgray;
            background-color: gray;
        }

    button.menu:hover {
        color: rgb(194, 232, 242);
    }

    button.pageTitle, button.pageTitleFilter {
        font-size: 14px;
        padding: 4px 8px 4px 8px;
        position: absolute;
    }

    button.pageTitle {
        background-color: rgb(103, 135, 165);
    }

        button.pageTitle:disabled, button.menu[disabled], button.menu:disabled:hover, button.menu:hover[disabled] {
            color: lightgray;
            background-color: gray;
        }

        button.pageTitle:hover {
            color: rgb(194, 232, 242);
        }

    button.pageTitleFilter {
        background-color: rgb(142, 72, 193);
    }

        button.pageTitleFilter:disabled, button.pageTitleFilter[disabled], button.pageTitleFilter:disabled:hover, button.pageTitleFilter:hover[disabled] {
            color: lightgray;
            background-color: gray;
        }

        button.pageTitleFilter:hover {
            color: rgb(244, 238, 249);
        }

    button.popupTitle, button.popupTitleAction {
        padding: 2px 4px 2px 4px;
        position: absolute;
    }

    button.popupTitle {
        color: rgb(103, 135, 165);
        background-color: rgb(215, 240, 247);
    }

        button.popupTitle:disabled, button.popupTitle[disabled], button.popupTitle:disabled:hover, button.popupTitle:hover[disabled] {
            color: gray;
            background-color: lightgray;
        }

    button.popupTitleAction:hover {
        color: rgb(135, 160, 184);
    }

    button.popupTitleAction {
        background-color: rgb(245, 110, 35);
    }

        button.popupTitleAction:disabled, button.popupTitleAction[disabled], button.popupTitleAction:disabled:hover, button.popupTitleAction:hover[disabled] {
            color: rgb(254, 240, 233);
            background-color: lightgray;
        }

        button.popupTitleAction:hover {
            color: rgb(254, 240, 233);
        }

    button.naGroup {
        background-color: darkgreen;
        padding: 4px 8px 4px 8px;
        min-width: 20px;
    }

        button.naGroup:disabled, button.naGroup[disabled], button.naGroup:disabled:hover, button.naGroup:hover[disabled] {
            color: lightgray;
            background-color: gray;
        }

        button.naGroup:hover {
            color: rgb(200, 247, 200);
        }

div.fieldFilesBlockContainer {
    border: 1px solid rgb(103, 135, 165);
    background-color: white;
    overflow-x: auto;
    width: 100%;
    position: relative;
}

div.fieldFilesBlock {
    /*    border: 1px solid rgb(103, 135, 165);
    background-color: white;
*/ /*    overflow-x: auto;
*/
    position: absolute;
    white-space: nowrap;
    padding-top: 6px;
    padding-left: 6px;
}

div.fieldFilesFileBlock {
    background-color: gray;
    display: inline-block;
    position: relative;
    margin-right: 6px;
    vertical-align: top;
    cursor: pointer;
}

img.fieldFilesFileThumbnail {
    position: absolute;
    background-color: gainsboro;
    object-fit: contain;
}

div.fieldFilesFileName {
    position: absolute;
    padding: 2px;
    bottom: 0px;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    font-size: 12px;
    text-align: center;
    white-space: normal;
    word-break: break-word;
}

td.legend {
    font-size: 13px;
    text-align: center;
    padding: 4px;
    border: solid 1px black;
}

table.fieldTable {
    border-collapse: collapse;
}
/*tr.fieldTableTag {
    cursor: pointer;
}*/
td.fieldTable, td.fieldTableReadOnly, td.fieldTableTemplate, td.fieldTableColHeader, td.fieldTableRowHeader {
    font-size: 12px;
    border: 1px solid rgb(103, 135, 165);
    min-width: 30px;
    padding: 3px;
    white-space: nowrap;
}

td.fieldTable {
    background-color: white;
}

td.fieldTableReadOnly {
    background-color: gainsboro;
}

td.fieldTableTemplate {
    background-color: yellow;
}

td.fieldTableColHeader, td.fieldTableRowHeader {
    background-color: rgb(215, 240, 247);
    color: rgb(5, 23, 29);
}

td.fieldTableColHeader {
    font-weight: bold;
}

input.fieldTable {
    font-size: 12px;
    border: none;
    background-color: white;
    padding-left: 2px;
    padding-right: 2px;
}

label.naGroupCaption {
    font-size: 12px;
    font-weight: bold;
    color: darkgreen;
}

tr.naGroupBlock {
    background-color: rgb(200, 247, 200);
}

div.tooltip {
    font-size: 12px;
    background-color: lightyellow;
    z-index: 1;
    border-radius: 6px 6px 0px 0px;
    border: 1px solid rgb(103, 135, 165);
    padding: 2px;
}

/* GRID */

/*table.grid {
    border-collapse: collapse;
    border: 1px solid rgb(103, 135, 165);
}*/
/*th.grid {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 2;
    background-color: rgb(215, 240, 247);
    color: rgb(5, 23, 29);
}*/
td.gridRowHeader {
    position: -webkit-sticky;
    position: sticky;
    left: 0;
    z-index: 1;
    background: linear-gradient(90deg, transparent 0%, transparent calc(100% - 1px), rgb(103, 135, 165) calc(100% - 1px), rgb(103, 135, 165) 100%);
    /*    background: linear-gradient(90deg, transparent 0%, transparent calc(100% - .05em), #d6d6d6 calc(100% - .05em), #d6d6d6 100%);
*/
}

th.gridColHeader, th.gridColRowHeader {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    background-color: rgb(215, 240, 247);
    color: rgb(5, 23, 29);
    cursor: pointer;
}

th.gridColHeader {
    z-index: 2;
}

th.gridFilteredColHeader {
    background-color: rgb(234, 222, 244);
}

th.gridColRowHeader {
    left: 0;
    z-index: 3;
    background: linear-gradient(90deg, rgb(215, 240, 247) 0%, rgb(215, 240, 247) calc(100% - 1px), rgb(103, 135, 165) calc(100% - 1px), rgb(103, 135, 165) 100%);
}

th.gridFilteredColRowHeader {
    background: linear-gradient(90deg, rgb(234, 222, 244) 0%, rgb(234, 222, 244) calc(100% - 1px), rgb(103, 135, 165) calc(100% - 1px), rgb(103, 135, 165) 100%);
}

td.gridCell, td.gridRowHeader, th.gridColHeader, th.gridColRowHeader {
    font-size: 12px;
    min-width: 30px;
    padding: 3px;
    white-space: nowrap;
    /*max-width: 400px;*/
}

td.gridCell, th.gridColHeader {
    padding: 3px;
}

td.gridCell, th.gridColHeader {
    border: 1px solid rgb(103, 135, 165);
}

td.gridRowHeader, th.gridColRowHeader {
    border-top: 1px solid rgb(103, 135, 165);
    border-bottom: 1px solid rgb(103, 135, 165);
    padding: 3px 5px 3px 3px;
}

td.gridCell, td.gridRowHeader {
    vertical-align: top;
}

td.gridCellNoBackground {
    background-color: transparent;
}

td.gridCellWhiteBackground {
    background-color: white;
}

div.gridLine {
    position: absolute;
    background-color: rgb(103, 135, 165);
    z-index: 4;
}

/* WPR */

label.wprReadOnlyText {
    font-size: 12px;
}

label.wprTitle {
    font-size: 12px;
    font-weight: bold;
    color: rgb(103, 135, 165);
}

/*td.wprReadOnlyText {
    width: 100%;
    vertical-align:top;
}

td.wprTitle {
    width: 100%;
    vertical-align: top;
}

td.wprYesNA {
    vertical-align: top;
}*/

/* AG Grid */
.ag-header-cell-label {
    white-space: pre-wrap !important;
    /*text-align: center;*/ /* Optional: Center the text */
}

/* TABLET LAYOUT */

@media only screen and (max-width : 600px) {
    label.bannerText {
        font-size: 13px;
    }

    label.pageTitleText {
        font-size: 13px;
    }

    button.pageTitle, button.pageTitleFilter {
        font-size: 12px;
    }

    td.legend {
        font-size: 12px;
    }

    /*    .selectorItemBlock {
        min-width: calc(100% - 10px);
        max-width: calc(100% - 10px);
    }

    .multiSelectorItemBlock {
        min-width: calc(100% - 10px);
        max-width: calc(100% - 10px);
    }*/
}
